#include "Targets.h"

Targets* Targets::ms_instance = 0;

Targets::Targets()
{
}

Targets::~Targets()
{
}

Targets* Targets::Instance()
{
	if(ms_instance == 0){
		ms_instance = new Targets();
	}
	return ms_instance;
}

void Targets::Release()
{
	if(ms_instance){
		delete ms_instance;
	}
	ms_instance = 0;
}

void Targets::DrawDebug()
{
	
	for( int i = 0; i < TARGETS_MAX_TARGETS; i++ )
	{
		if( Coords[i].IsActive() )
		{
			int ix = Coords[i].GetX() >> 12;
			int iy = Coords[i].GetY() >> 12;
			
			glBox( ix - 8, iy - 8, ix + 8, iy + 8,RGB15(31,31,31) );
		}
	}
	
}